WordPress.org

Support

Support » Plugins and Hacks » Custom Fields Shortcodes » [Plugin: Custom Fields Shortcodes] Shows warning on "New Post" page

[Plugin: Custom Fields Shortcodes] Shows warning on "New Post" page

  • Current version (0.9) of this plugin shows the following error in new post page in wp admin panel (wp-admin/post-new.php).

    Warning: Invalid argument supplied for foreach() in /opt/lampp/htdocs/bangla-book/wp-content/plugins/custom-fields-shortcodes/custom-fields-shortcodes.php on line 251

    Warning: Invalid argument supplied for foreach() in /opt/lampp/htdocs/bangla-book/wp-content/plugins/custom-fields-shortcodes/custom-fields-shortcodes.php on line 273

    However, the plugin works flawlessly till now. And, for reference, this plugin doesn’t work with “Custom Field Suite” plugin which is claiming as a fork of “Advanced Custom Fields” plugin. But, as expected, it works with “Advanced Custom Fields” plugin.

    I am actually using it with “Just Custom Fields” plugin, and I am happy with the result.

    Thanks a lot to the developers of such a nice plugin. 🙂

    http://wordpress.org/extend/plugins/custom-fields-shortcodes/

Viewing 6 replies - 1 through 6 (of 6 total)
  • I am getting the same error but the plug-in still seems to be working just fine otherwise. Any thoughts on how to fix the code to get rid of the errors?

    Yes, the plug-in is working pretty fine. But its just annoying.
    No, I didn’t get any way to fix this. If yon can, please let me know.

    I fixed this problem by typecasting the array in the foreach statement. You can do this by placing (array) in front of the variable on the lines mentioned in the error.

    foreach (<strong>(array)</strong>$groups as $group_id => $group) {
    ...
    }

    Thank you, William, for saving my Sunday morning.

    ok
    line 251 should be:

    foreach ((array)$field[‘dropdowns’] as $dropdown) {

    and line 273

    foreach ((array)$groups as $group_id => $group) {

    Thanks William

    this fix worked for me! thanks william!

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘[Plugin: Custom Fields Shortcodes] Shows warning on "New Post" page’ is closed to new replies.
Skip to toolbar